Чертежи для резки Скачать чертежи в формате DWG и DXF

Кран шаровый стальной фланцевый 11с67п (На ГАЗ) — БелЗапАрматура

Рабочие условия

Рабочая среда: природный газ, сжиженные углеводородные газы, неагрессивные газообразные среды, нефтепродукты, горюче-смазочные материалы и жидкости без содержания абразивных примесей.

Рабочее давление: до1,6МПа

Температура рабочей среды: от — 60 °С до + 200°С (в зависимост и от климатического исполнения)

Температура окружающей среды: от — 60 °С до +80°С (в зависимости от климатического исполнения)

Управление Шаровым краном 11С67П можно осуществлять с помощью рукоятки, редуктора, пневмопривода, электропривода.

Краны шаровые разборные 11С67П из стали 20 фланцевые полнопроходные/стандартнопроходные

На испытательных стендах согласно ГОСТ 9544 «Арматура трубопроводная запорная. Нормы герметичности затворов»:

  1. Воздухом Рпр 6кг/см 2 при t +20 C°.
  2. Напрочность и плотность водой 24кгс/см 2 .

Диагностика сварных швов методами неразрушающего контроля

  • Индивидуальный паспорт
  • Спецификация к паспорту
  • Руководство по эксплуатации

Все актуальные цены указаны в прайс-листе. Подробное описание, габаритные размеры, а так же технические характеристики крана 11с67п вы можете найти в разделе рекламная поддержка. Шаровые краны 11с67п фланцевый имеют обозначения КШ.Р.Ф.

Характеристика крана 11с67п

Контакты

+375(29) 847-45-85
+375(44) 528-41-59
+375(44) 514-52-76

Написать в Viber
belzaparmatura@mail.ru
Обратный звонок

Фитинги VIEGA

Медный фитинг для пайки фирмы VIEGA для сантехнических работ. «DWG»

Состав: Каталог 3D моделей

Софт: AutoCAD 2010

Автор: Fant249

Дата: 2014-11-12

Просмотры: 13 974

430 Добавить в избранное

  • 3D Модели
  • американка
  • водоразетка
  • Заглушка
  • крестовина
  • муфты
  • обводы
  • Фитинг

Еще чертежи и проекты по этой теме:

Софт: SolidWorks 18SP3.0

Состав: 3D модели фитинга натяжного (31 шт)

Софт: SolidWorks 18SP3.0

Состав: 3D модели фитинга резьбового (44 шт)

Софт: T-Flex CAD 14.0.27

Состав: 3D cборка в полном соответствии оригиналу

Софт: Autodesk Inventor 15

Состав: 3D сборка

Читайте также:  Какой предохранитель отвечает за топливный насос автомобиля

Софт: КОМПАС-3D 14

Состав: 3D Сборка

Автор: Fant249

Дата: 2014-11-12

Просмотры: 13 974

430 Добавить в избранное

  • 3D Модели
  • американка
  • водоразетка
  • Заглушка
  • крестовина
  • муфты
  • обводы
  • Фитинг

1 КОММЕНТАРИ

отличная идея создание сайта с Зд моделями тнженерных сетей,
спасибо разработчику

Управление функциями AutoCad из программы на Visual Basic

Если результатом работы вашей программы должен быть какой-либо векторный чертеж(техническая документация, строительный чертеж, географическая карта и пр.), то самый быстрый путь создания такого приложения — это обращение к функциям AutoCAD из вашей VВ2010-программы. AutoCAD (Computer-Aided Design) — это 2- и 3-мерная система автоматизированного проектирования и черчения. Эта система, также как и пакет приложений Microsoft Office, может являться сервером OLE-объектов, и его функции могут использоваться другими приложениями.

Графическими примитивами векторной графики являются отрезки, дуги, окружности, тексты, которые можно выводить под различными углами к горизонту, и, может быть, еще некоторые простейшие геометрические фигуры. Чертеж, подлежащий построению, состоит из совокупности таких элементов. VВ2010-программа путем обращения к соответствующим функциям AutoCAD формирует такой чертеж и записывает его в DWG-файл. Пользователь может просмотреть этот файл в среде AutoCAD, отредактировать его и вывести на печать.

Приступаем к программированию поставленной задачи. Как обычно после запуска VB2010, выбираем шаблон Windows Forms Application. Далее следует подключить библиотеку объектов AutoCAD, для этого в пункте меню Project выбираем команду Add Reference, затем на вкладке СОМ дважды щелкнем на ссылке AutoCAD 2000 Object Library. Эта ссылка соответствует файлу ACAD.TLD в соответствующей папке Program Files, где расположен результат инсталляции AutoCAD. Теперь после компиляции проекта в папке objx86Debug появится файл Interop.AutoCAD.dll.

Таким образом, мы подключили библиотеку объектов AutoCAD версии 2000. Если на вашем компьютере инсталлирована другая версия AutoCAD, то действуйте аналогично. Программа, выводящая в DWG-файл два отрезка, а также два горизонтально и вертикально ориентированных текста представлена ниже:

Читайте также:  Как ВКонтакте определяются возможные друзья

Построение отрезков и двух строк текста в AutoCAD

[code]‘ Программа строит средствами объектов библиотеки AutoCAD

‘ элементарный чертеж из отрезков и некоторого текста.
‘ Этот чертеж сохраняется в файле формата DWG.
PublicClass Form1
Private Sub Form1_Load(ByVal senderAs System.Object,ByVal e As System.EventArgs) Handles MyBase.Load
‘ Эта программа запускает AutoCAD 2000i, рисует
‘ два отрезка, два текста, сохраняет чертеж в
‘ C:a.dwg и завершает работу AutoCAD.
‘ Следует подключить библиотеку объектов AutoCAD:
‘ Project — Add Reference — вкладка COM —
‘ AutoCAD — 2000 Object Library — OK.
Dim AcadApp As AutoCAD.AcadApplication = New AutoCAD.AcadApplication
‘ Также можно создать объект AcadApp таким образом:
‘ Dim AcadApp As AutoCAD.AcadApplication
‘ AcadApp = CreateObject(«AutoCAD.Application»)
‘ Dim Docs As AutoCAD.AcadDocuments = AcadApp.Documents
Dim Docs = AcadApp.Documents
‘ Dim Doc As AutoCAD.AcadDocument = Docs.Add
Dim Doc = Docs.Add
‘ Видимость:
AcadApp.Visible =True
‘ Точки:
Dim T1() AsDouble = <10, 10, 0>
Dim T2() AsDouble = <200, 200, 0>
Dim T3() AsDouble = <200, 10, 0>
Dim T4() AsDouble = <15, 200, 0>
‘ Нарисовать отрезок:
Doc.ModelSpace.AddLine(T1, T2)
‘ Нарисовать отрезок красным цветом:
Doc.ModelSpace.AddLine(T2, T3).Color = AutoCAD.ACAD_COLOR.acRed
‘ Горизонтальный текст (с разворотом 0 градусов):
Doc.ModelSpace.AddText(«Горизонтальный», T4, 22)
‘ Вертикальный текст с разворотом на 90 град = ПИ/2:
Doc.ModelSpace.AddText(«Вертикальный», T1, 22).Rotation = Math.PI / 2
Doc.SaveAs(«C:a.dwg»)
AcadApp.Quit()
‘ Теперь ищите на своем винчестере файл C:a.dwg
End Sub
EndClass[/code]

Как видно из программного кода, весь процесс работы программы происходит при загрузке формы Form1_Load. Вначале создается объект AutoCAD.Application, причем его можно создать одним предложением или двумя, как показано в комментарии. Далее создаем коллекцию документов AcadDocuments и открываем (делаем активным) один документ предложением Docs.Add. В комментариях приведены варианты написания команд.

Затем задаем видимость работы AutoCAD visible = True, при этом AutoCAD только мелькнет на экране. Замечу, что для конечной цели, т. е. для получения DWG-файла, видимость не обязательна. Далее задаем четыре точки, которые будут участвовать в построении чертежа. Обратите внимание, что каждая точка имеет три координаты, хотя мы собираемся строить плоский чертеж. Третью координату мы будем воспринимать, как напоминание того, что AutoCAD способен строить трехмерные чертежи.

Читайте также:  Какой джип выбрать для охоты и рыбалки Лучшие внедорожники для отдыха 2017-2018 года

Затем рисуем два отрезка AddLine через точки Tl, T2 и T2, тз. Причем мы показали, как второй отрезок задать красным цветом. Далее подаем команду выводить текст горизонтально, потом другой текст — вертикально с разворотом на90°, т. е. π/2. Затем, используя метод SaveAs, записываем построенный в документе чертеж в DWG-файл на логический диск С:.

В результате работы этой программы на Visual Basic получаем чертеж в системе AutoCAD.

Ссылка на основную публикацию
Adblock detector